Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xmldb.api.base
Interface ResourceSet

All Known Implementing Classes:
  BXResourceSet

    public interface ResourceSet

ResourceSet is a container for a set of resources. Generally a `ResourceSet` is obtained as the result of a query.

Method Summary
`void` | `addResource(Resource res)` Adds a `Resource` instance to the set.
`void` | `clear()` Removes all `Resource` instances from the set.
`ResourceIterator` | `getIterator()` Returns an iterator over all `Resource` instances stored in the set.
`Resource` | `getMembersAsResource()` Returns a Resource containing an XML representation of all resources stored in the set.
`Resource` | `getResource(long index)` Returns the `Resource` instance stored at the index specified by index.
`long` | `getSize()` Returns the number of resources contained in the set.
`void` | `removeResource(long index)` Removes the Resource located at `index` from the set.

Method Detail

### getResource

    Resource getResource(long index)
                         throws XMLDBException

  Returns the `Resource` instance stored at the index specified by index.

  If the underlying implementation uses a paging or streaming optimization for retrieving Resource instances. Calling this method MAY result in a block until the requested Resource has been downloaded.

  Parameters:
    `index` - the index of the resource to retrieve.
  Returns:
    The `Resource` instance
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.
    `ErrorCodes.NO_SUCH_RESOURCE if the index is out of range for the set.`

### addResource

    void addResource(Resource res)
                     throws XMLDBException

  Adds a `Resource` instance to the set.

  Parameters:
    `res` - The `Resource` to add to the set.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### removeResource

    void removeResource(long index)
                        throws XMLDBException

  Removes the Resource located at `index` from the set.

  Parameters:
    `index` - The index of the `Resource` instance to remove.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getIterator

    ResourceIterator getIterator()
                                 throws XMLDBException

  Returns an iterator over all `Resource` instances stored in the set.

  Returns:
    a `ResourceIterator` over all `Resource` instances in the set.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getMembersAsResource

    Resource getMembersAsResource()
                                  throws XMLDBException

  Returns a Resource containing an XML representation of all resources stored in the set.

  Returns:
    A `Resource` instance containing an XML representation of all set members.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getSize

    long getSize()
                 throws XMLDBException

  Returns the number of resources contained in the set.

  If the underlying implementation uses a paging or streaming optimization for retrieving `Resource` instances. Calling this method MAY force the downloading of all set members before the size can be determined.

  Returns:
    The number of `Resource` instances in the set.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### clear

    void clear()
               throws XMLDBException

  Removes all `Resource` instances from the set.

  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD